Page MenuHomePhabricator

Add Special page similar to Special:BookSources for ISSNs (International Standard Serial Numbers)
Open, LowestPublic

Description

We should add a Special page similar to Special:BookSources for ISSNs (International Standard Serial Numbers).

This task was originally submitted by fgregg and was subsequently edited.

Details

Reference
bz3663

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 8:52 PM
bzimport set Reference to bz3663.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Oct 9 2005, 4:46 PM

fgregg wrote:

patches Parser.php for ISSN magicnumbering

attachment ISSNpatch ignored as obsolete

fgregg wrote:

Periodical Special Page

Attached:

avarab wrote:

(In reply to comment #1)

Created an attachment (id=961) [edit]
patches Parser.php for ISSN magicnumbering

This patch is useless because the code that was supposed to use the function you
added is commented out, furthermore, making a new function to parse ISSN codes
rather than adding that functionality to the already existing ISBN function
(they're parsed almost in the same way),

fgregg wrote:

patch responds to criticism, integrated with current ISBN code

attachment ISSNpatch ignored as obsolete

brion added a comment.Dec 3 2005, 2:25 AM
  • Avoid mixing tabs and spaces; use tabs consistently
  • Please follow existing code conventions on code block usage
  • Will require patch to Sanitizer.php to protect against ISSN links in HTML

bits

  • Won't this not work without a patch to Booksources?

fgregg wrote:

fixed formatting in response to Brion's comment

Attached:

fgregg wrote:

Patches Santitizer.php to catch ISSN links

Attached:

fgregg wrote:

patches SpecialPage.php

Attached:

fgregg wrote:

*Responded to Brion's comments about format
*Included patch to Sanitizer.php
*Changed patch so that ISSN pages go to SpecialPeriodicalsources.php
*Added patch to SpecialPage.php to include SpecialPeriodicalsources.php
*attachment 962 is SpecialPeriodicalsources.php

Question

What's the appropriate way to patch for messages

ui2t5v002 wrote:

What is this for? ISBN is a label for a single book. ISSN is a label for an
entire journal; not individual articles or even volumes. What is going to be on
the "ISSN sources" page? A single link to the web site of the journal? What's
the point?

demon added a comment.Mar 13 2009, 1:11 PM

WONTFIX'ing per comment 10 and lack of activity for 3 years.

ayg wrote:

Lack of activity is never a legitimate reason for WONTFIXing, but I don't think we want more magic like ISBN and RFC. Better that those should be phased out in favor of templates at some point in the future.

re-opening to depend on Bug #26207

demon added a comment.Dec 23 2011, 7:53 PM

Removing need-review keyword. This absolutely depends on 26207 which presumably would handle this cleanly without requiring Sanitizer & Parser changes.

mxn added a subscriber: mxn.Nov 24 2014, 8:51 PM
demon removed a subscriber: demon.Dec 16 2014, 6:10 PM
NicoV added a subscriber: NicoV.Jan 5 2016, 5:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2016, 5:50 PM
NicoV awarded a token.Jan 5 2016, 5:50 PM
Izno reopened this task as Open.Jan 12 2017, 10:23 PM
Izno added a subscriber: Izno.

I'm going to re-open based on the other requests for functionality similar to what Special:Booksources provides.

In T5663#2937018, @Izno wrote:

I'm going to re-open based on the other requests for functionality similar to what Special:Booksources provides.

Similar in what way? What's being proposed here? If you want to re-open this task, can you please make the task title and description clearer?

If the request is for additional magic link functionality in MediaWiki core, I think the answer is no. We're trying to kill the ISBN, RFC, and PMID magic links. We don't want to support ISSN as well.

If this is a request for a new Special page, someone will need to respond to T5663#80339.

Izno added a comment.Jan 13 2017, 1:35 PM

magic link functionality

No, certainly not (and if you'll deign to notice, I've closed recently a number of tasks upon which you've commented).

If this is a request for a new Special page, someone will need to respond to T5663#80339.

This is my intent.

What is this for? ISBN is a label for a single book. ISSN is a label for an entire journal; not individual articles or even volumes. What is going to be on the "ISSN sources" page? A single link to the web site of the journal? What's the point?

The current en.WP ISSN template links to Worldcat which gets you to the list of libraries which hold the title. So it seems we've increased the potential number of sources from one to two. I would guess there are a similar set of sources to Book sources which may point to places where one could go to subscribe or even just acquire a single volume of the work.

(I'm not entirely sure this is useful but I don't think us saying "let's just decline" doesn't seem necessary given that other identifiers have present requests; review MediaWiki-Special-pages Booksources column.)

In T5663#2938207, @Izno wrote:

magic link functionality

No, certainly not (and if you'll deign to notice, I've closed recently a number of tasks upon which you've commented).

Yes, I have deigned to notice. :-)

I'll update the task title and description myself since you seem uninterested and they're currently misleading.

MZMcBride renamed this task from ISSN Magic Numbers to Add Special page similar to Special:BookSources for ISSNs (International Standard Serial Numbers).Jan 13 2017, 11:35 PM
MZMcBride lowered the priority of this task from Low to Lowest.
MZMcBride updated the task description. (Show Details)
MZMcBride removed a subscriber: wikibugs-l-list.